SAP MaxDB学习笔记

本文档详细介绍了如何使用安装管理器在Unix环境下安装SAP MaxDB数据库,包括环境要求、安装步骤、启动脚本配置以及系统变量设置。此外,还提供了数据库实例自动启动的配置方法和管理数据库实例的命令行工具使用教程。
摘要由CSDN通过智能技术生成

MaxDB 文档 <!-- @page { size: 21cm 29.7cm; margin: 2cm } H1 { margin-top: 0.6cm; margin-bottom: 0.58cm; line-height: 200%; page-break-inside: avoid; page-break-after: avoid } H1.western { font-size: 22pt; font-weight: bold } H1.cjk { font-size: 22pt; font-weight: bold } H2 { margin-top: 0.46cm; margin-bottom: 0.46cm; line-height: 172%; page-break-inside: avoid; page-break-after: avoid } H2.western { font-family: "Arial", sans-serif; font-size: 16pt; font-weight: bold } H2.cjk { font-family: "黑体"; font-size: 16pt; font-weight: bold } P { margin-top: 0cm; margin-bottom: 0.21cm } -->

MaxDB 文档

  1. 安装

可以使用安装管理器来进行安装,安装管理器是一个图形化的安装工具,安装软件的需求如下:

Prerequisites for Using the Installation Manager

Platform

wxWidget Software

Other Software

MS Windows X86_32

wxMSW

-

MS Windows X86_64, IA64

Not yet supported

-

Linux X86_32

wxGTK2

Gtk+ >= 2.0

glibc ≥ 2.3.3 with TLS support (Thread Local Storage)

If gcc 4.x is installed on your system, you may also require libstdc compatibility libraries for gcc 3.2.x or gcc 3.3.x.

*Linux X86_64

wxGTK2

glibc ≥ 2.3.3

Gtk+ >= 2.0

*Linux IA64

wxGTK2

glibc ≥ 2.3.3

Gtk+ >= 2.0

*Linux PPC_64

wxGTK2

glibc ≥ 2.3.3

Gtk+ >= 2.0

SUN Solaris SPARC

wxGTK

Gtk+ 1.2 (included from Solaris 9 onwards)

IBM AIX PPC_64

wxGTK (Gtk statically linked)

X11 running time

HP-UX HPPA

wxGTK (Gtk statically linked)

X11 running time

HP-UX IPF

wxGTK (Gtk statically linked)

X11 running time


unix 环境下安装步骤如下:

  1. root 登录shell

  2. 转到home root 目录解压数据库软件

  3. 运行命令 ./SDBSETUP

  4. 安装完成后更新系统环境变量 ex port PATH=/opt/sdb/programs/bin:$PATH

  5. 可以将以上内容写入到 .bash_profile

 

让数据库实例在 linux 启动的时候自动启动

Prerequisites

· You have created the database instance DEMODB and the DBM operator OLEG with the password MONDAY.

· You are in a root shell.

Procedure

...

1. Save the maxdb start script in the directory /etc/init.d

2. Go to the directory /etc/rc3.d

3. Create the following symbolic links:

ln -s ../init.d/maxdb K05maxdb

ln -s ../init.d/maxdb S18maxdb

maxdb Start Script

#! /bin/sh

# Copyright (c) 2001-2004 SAP AG, Germany.

#

# Author: <maxdb@lists.mysql.com>

#

# init.d/maxdb

#

# and symbolic its link

#

#

### BEGIN INIT INFO

# Provides: MaxDB

# Required-Start: $remote_fs $syslog

# Required-Stop: $remote_fs $syslog

# Default-Start: 3 5

# Default-Stop: 0 1 2 6

# Description: Start MaxDB communication server.

### END INIT INFO


if [ -f /etc/rc.config ]; then

. /etc/rc.config

fi


# where to find x_server executable

IND_PROG_DBROOT=""

if [ -f /etc/opt/sdb ]; then

IND_PROG_DBROOT=`grep '^IndepPrograms=' /etc/opt/sdb | sed 's:IndepPrograms=::g'`

else

exit 5

fi

X_SERVER=$IND_PROG_DBROOT/bin/x_server

X_PATH=$IND_PROG_DBROOT/bin



MaxDB_BIN=$X_SERVER

test -x $MaxDB_BIN || exit 5


MaxDB_BIN=$X_PATH/dbmcli

test -x $MaxDB_BIN || exit 5


# find program fuser

FUSER=/bin/fuser

test -x $FUSER || FUSER=/sbin/fuser

test -x $FUSER || FUSER=/usr/sbin/fuser



# Shell functions sourced from /etc/rc.status:

# rc_check check and set local and overall rc status

# rc_status check and set local and overall rc status

# rc_status -v ditto but be verbose in local rc status

# rc_status -v -r ditto and clear the local rc status

# rc_failed set local and overall rc status to failed

# rc_reset clear local rc status (overall remains)

# rc_exit exit appropriate to overall rc status

#. /etc/rc.status


# First reset status of this service

#rc_reset


# Return values acc. to LSB for all commands but status:

# 0 - success

# 1 - misc error

# 2 - invalid or excess args

# 3 - unimplemented feature (e.g. reload)

# 4 - insufficient privilege

# 5 - program not installed

# 6 - program not configured

# 7 - program is not running

#

# Note that starting an already running service, stopping

# or restarting a not-running service as well as the restart

# with force-reload (in case signalling is not supported) are

# considered a success.


RETVAL=1

case "$1" in

start)

echo -n "Starting MaxDB services: "

if [ ! -z "$X_SERVER" ]; then

$X_SERVER start>/dev/null 2>&1


# to enable auto start/stop demodb remove following comments


DBMCLI=$X_PATH/dbmcli

if [ ! -x $DBMCLI ]; then

echo "dbmcli not found" >&2

exit 5

fi

$DBMCLI -d DEMODB << __EOD__ 2>&1 > /dev/null

user_logon OLEG,MONDAY

db_online

__EOD__

_test=`echo $_o | grep ERR`

if [ "$_test" = "" ]; then

echo -n " database DEMODB started"

else

echo "cannot start DEMODB: $_o" >&2

exit 7

fi


RETVAL=0


fi

touch /var/lock/subsys/maxdb

;;

stop)

echo -n "Shutting down MaxDB services: "

评论 1
添加红包

请填写红包祝福语或标题

红包个数最小为10个

红包金额最低5元

当前余额3.43前往充值 >
需支付:10.00
成就一亿技术人!
领取后你会自动成为博主和红包主的粉丝 规则
hope_wisdom
发出的红包
实付
使用余额支付
点击重新获取
扫码支付
钱包余额 0

抵扣说明:

1.余额是钱包充值的虚拟货币,按照1:1的比例进行支付金额的抵扣。
2.余额无法直接购买下载,可以购买VIP、付费专栏及课程。

余额充值